﻿@using System.Web.UI.WebControls;  
@*@Html.Partial("_ManualOrderCreationScript")*@
 
<div class="content"> 
        <table style="width: 100%">
            <tr style="height:30px">
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Supplier*";
                        Label.Width = 100;
                    }).GetHtml()
                </td>
                <td style="width: 17%;">
                    
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_SUPPLIER";
                        settings.Properties.ClientSideEvents.Init = "SetFocus";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 160;
                        settings.SelectedIndex = -1;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                        settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueType = typeof(string);
                        settings.Properties.ValueField = "SYSTEM_CD";
                        settings.Properties.TextField = "SYSTEM_VALUE";
                        settings.Properties.ClientSideEvents.SelectedIndexChanged = "function(s, e) { I_SUB_SUPPLIER.PerformCallback(); I_PART_NO.PerformCallback();} ";
                    }).BindList(ViewData["SUPPLIER"]).GetHtml()    

                 </td> 
            </tr>  
              
            <tr style="height:30px">
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Sub Supplier";
                        Label.Width = 100;
                    }).GetHtml()
                </td>
                <td style="width: 17%;">
                    
                    @Html.Partial("_PartialComboboxSubSupplier")
                @*    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_SUB_SUPPLIER"; 
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 160;
                        settings.SelectedIndex = -1;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                        settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueType = typeof(string);
                        settings.Properties.ValueField = "SYSTEM_CD";
                        settings.Properties.TextField = "SYSTEM_VALUE";
                    }).BindList(ViewData["SUB_SUPPLIER"]).GetHtml()    *@

                 </td> 
            </tr>   
              
            <tr style="height:30px">
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Dock*";
                        Label.Width = 100;
                    }).GetHtml()
                </td>
                <td style="width: 17%;">
                    
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_DOCK"; 
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 160;
                        settings.SelectedIndex = -1;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                        settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueType = typeof(string);
                        settings.Properties.ValueField = "SYSTEM_CD";
                        settings.Properties.TextField = "SYSTEM_VALUE";
                        settings.SelectedIndex = 1;
                    }).BindList(ViewData["DOCK_CD"]).GetHtml()    

                 </td> 
            </tr>   

            <tr style="height:30px">
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Part No*";
                        Label.Width = 100;
                    }).GetHtml()
                </td>
                <td style="width: 17%;">
                    
                    @Html.Partial("_PartialComboboxPartNo")
                  @* @Html.DevExpress().TextBox(
                         settings =>
                         {
                             settings.Name = "I_PART_NO";
                             settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                             settings.Width = 160;
                             settings.Properties.MaxLength = 12;
                             settings.Properties.ClientSideEvents.TextChanged = "getPartName";
            
                         }).GetHtml()     *@
                 </td> 
            </tr> 

            <tr style="height:30px">
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Part Name";
                        Label.Width = 100;
                    }).GetHtml()
                </td>
                <td style="width: 17%;">
                    
                   @Html.DevExpress().TextBox(
                         settings =>
                         {
                             settings.Name = "I_PART_NAME";
                             settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                             settings.Width = 160;
                             settings.ReadOnly = true;
                             settings.ControlStyle.BackColor = System.Drawing.Color.LightGray;
                             settings.Properties.MaxLength = 12; 
                         }).GetHtml()     
                 </td> 
            </tr>             

            <tr style="height:30px">
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Pcs/Kanban";
                        Label.Width = 100;
                    }).GetHtml()
                </td>
                <td style="width: 17%;">
                    
                   @Html.DevExpress().TextBox(
                         settings =>
                         {
                             settings.Name = "I_PCS_KANBAN";
                             settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                             settings.Width = 160;
                             settings.ReadOnly = true;
                             settings.ControlStyle.BackColor = System.Drawing.Color.LightGray;
                             settings.Properties.MaxLength = 12; 
                         }).GetHtml()     
                 </td> 
            </tr>       

            <tr style="height:30px">
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Kanban Qty";
                        Label.Width = 100;
                    }).GetHtml()
                </td>
                <td style="width: 17%;">
                    
                   @Html.DevExpress().TextBox(
                         settings =>
                         {
                             settings.Name = "I_KANBAN_QTY";
                             settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                             settings.Width = 160;
                             settings.Properties.MaxLength = 12;
                             settings.ReadOnly = true;
                             settings.ControlStyle.BackColor = System.Drawing.Color.LightGray;
                         }).GetHtml()     
                 </td> 
            </tr> 
            
            <tr style="height:30px">
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Pieces Qty *";
                        Label.Width = 100;
                    }).GetHtml()
                </td>
                <td style="width: 17%;">
                    
                   @Html.DevExpress().TextBox(
                         settings =>
                         {
                             settings.Name = "I_PIECES_QTY";
                             settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                             settings.Width = 160;
                             settings.Properties.MaxLength = 12;
                             settings.Properties.ClientSideEvents.TextChanged = "getTotalQty";
                             settings.Properties.MaskSettings.Mask = "<0..999999>";                             
                         }).GetHtml()     
                 </td> 
            </tr> 

            <tr style="height:30px"> 
                <td style="width: 60%" align="left" colspan="3">                   
                   
                    <div id="search_cnt">  
                        @Html.DevExpress().Button(edtSetting =>
                        {
                            edtSetting.Name = "cmdSave";
                            edtSetting.Width = 80;
                            edtSetting.Text = "Save";
                            edtSetting.ClientSideEvents.Click = "SaveData";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartReceivingInquiry", "FTR-SPEX-177-01", "SEARCH");
                        }).GetHtml()

                        @Html.DevExpress().Button(edtSetting =>
                        {
                            edtSetting.Name = "cmdCancel";
                            edtSetting.Width = 90;
                            edtSetting.Text = "Cancel";
                            edtSetting.ClientSideEvents.Click = "OnCancel";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartReceivingInquiry", "FTR-SPEX-177-01", "CLEAR");
                        }).GetHtml()                          

                    </div> 
                </td>            
            </tr>      
                
        </table> 
</div>



